MSP History Data Retention
2 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getMspDataRetention | GET | Get MSP history data retention configuration |
| modifyMspRetention | PATCH | Modify MSP history data retention configuration |
getMspDataRetention
GET /openapi/v1/msp/{mspId}/retention
Get MSP history data retention configuration
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getMspDataRetention"
}Details, permissions and error codes
Get MSP history data retention configuration.
The interface requires one of the permissions:
MSP Other Settings View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30001 - Controller is not configured.
-7131 - Controller ID not exist.
modifyMspRetention
PATCH /openapi/v1/msp/{mspId}/retention
Modify MSP history data retention configuration
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
Request body — application/json (required) — schema ModifyHistoryRetentionOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
override | boolean | no | Whether the customer overrides the retention configuration of MSP. This configuration applies to the customer in MSP mode only. If true, customer retention configuration will be used (excluding daily, clientHistory, log and widsData). |
clientsDataEnable | boolean | yes | Whether the clients' history data is recorded. |
clientDataTrendEnable | boolean | no | Whether the client data trend records is recorded. |
clientRecognitionEnable | boolean | no | Whether client recognition is enabled. With the feature enabled, network devices will report client information in real time to ensure the accuracy of client recognition. Cloud Access is required for client recognition. |
clientHealthEnable | boolean | no | Whether client health is enabled. When enabled, client health data will be recorded, which may consume a significant amount of storage space. |
knownClient | integer | no | Retention configuration of known client Data, knownClient should be a value as follows: -1: Disabled; 0: All Time(Windows, Linux Only); 1: 1day; 7: 7days; 31: 31days; 90: 90days; 180: 180days; 365: 365days. |
clientHistory | integer | no | Retention configuration of client History(only effective in local controller), clientHistory should be a value as follows: -1: Disabled; 0: All Time(Windows, Linux Only); 7: 7days; 31: 31days; 90: 90days; 180: 180days; 365: 365days. |
daily | integer | no | Retention configuration of time series with daily granularity, daily should be a value as follows: 90: 90days; 180: 180days; 365: 365days(Fixed value in Cloud Based Controller as 365 days). |
weekly | integer | no | Retention configuration of time series with weekly granularity, weekly should be a value as follows: 31: 31days; 90: 90days; 180: 180days; 365: 365days. |
portalAuth | integer | no | Retention configuration of portal authentication records, portalAuth should be a value as follows: 0: All Time(Windows, Linux Only); 7: 7days; 31: 31days; 90: 90days; 180: 180days; 365: 365days. |
log | integer | no | Retention Configuration of log data(only effective in local controller), log should be a value as follows: 0: All Time(Windows, Linux Only); 31: 31days; 90: 90days; 180: 180days; 365: 365days. |
rogueAp | integer | no | Retention Configuration of rogue ap data, rogueAp should be a value as follows: 0: All Time(Windows, Linux Only); 31: 31days; 90: 90days; 180: 180days; 365: 365days. |
widsData | integer | no | Retention Configuration of wids data(only effective in local pro controller), widsData should be a value as follows: 0: All Time(Windows, Linux Only); 90: 90days; 180: 180days; 365: 365days. |
clientDataTrendDaily | integer | no | Retention Configuration of client data trend records(only effective in local controller), clientDataTrendDaily should be a value as follows: 1: 1day; 7: 7days; 31: 31days; 60: 60days, 90: 90days. |
// omada_call_operation
{
"operationId": "modifyMspRetention",
"body": "{...}"
}Details, permissions and error codes
Modify MSP history data retention configuration.
The interface requires one of the permissions:
MSP Other Settings Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30001 - Controller is not configured.
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-7131 - Controller ID not exist.